// vMac 0.x Source
// By Philip Cummins (PC)
// Copyright PC 1997
   
// PC - Memory Mapping Headers

#define kAutoVector_Base 0x00FFFFF0
#define kAutoVector_Top  0x01000000
#define kMemory_Extent   0x00FFFFFF

typedef enum {Size_Long, Size_Word, Size_Byte} Size_Ty;

int   Memory_Init (void);
void  Memory_Reset (void);

ULONG Get_MM   (CPTR addr, Size_Ty Size);
void  Put_MM   (CPTR addr, Size_Ty Size, ULONG in);

UWORD *get_real_address (CPTR addr);

ULONG get_long (CPTR addr);
UWORD get_word (CPTR addr);
UBYTE get_byte (CPTR addr);
void  put_long  (CPTR addr, ULONG in);
void  put_word  (CPTR addr, UWORD in);
void  put_byte  (CPTR addr, UBYTE in);

// VIA Interface Functions

UBYTE VIA_GORA4 (void); // Overlay/Normal Memory Mapping
void  VIA_PORA4 (UBYTE Data);

//IRIX CC needs a little new-line at the end of include files.

