// vMac 0.x Source
// By Philip Cummins (PC)
// Copyright PC 1997
   
// PC - ROM Memory Header

// Mounts a Mac Plus 128 KB ROM from disk, from the file called vMac.ROM. Also
// checks the checksum for the ROM to determine if it's right one.

#define kROM_Size 0x020000 // ROM size is 128 KB
#define kROM_Base 0x400000 // ROM starts at 4 MB
#define kROM_Top  0x500000 // ROM ends at 5 MB

#define kROM_Overlay_Base 0x000000 // ROM starts at 0 MB
#define kROM_Overlay_Top  0x100000 // ROM ends at 1 MB

int   ROM_Init (void);
void  ROM_Reset (void);
UWORD *ROM_Xlate (CPTR addr);

UBYTE ROM_GetB (CPTR addr);
UWORD ROM_GetW (CPTR addr);
ULONG ROM_GetL (CPTR addr);

void  ROM_PutB (CPTR addr, UBYTE in);
void  ROM_PutW (CPTR addr, UWORD in);
void  ROM_PutL (CPTR addr, ULONG in);

//IRIX CC needs a little new-line at the end of include files.


