// PC - Native Code Functions

#include "sysconfig.h"
#include "sysdeps.h"
#include "config.h"
#include "options.h"
#include "Memory.h"
#include "custom.h"
#include "newcpu.h"
#include "debug.h"
#include "Native.h"
#include "Sony.h"

static int Installed = 0;

void Install_Patch (void)
{
  return;
}

int  Check_Patch (void)
{
#	ifdef _Sony_Enabled
  	if (Check_Sony_Patch() == 1) // Check if we want to transparently patch
    		return 1;
#	endif
  	return 0; // Not a transparent patch
}

int  Check_Illegal (void)
{
#	ifdef _Sony_Enabled
  	if (Check_Sony_Illegal() == 1) // Check if a Sony call
    		return 1;
#	endif
  	return 0; // Not handled, do Illegal
}

void Call_ATrap (UWORD ATrap)
{
  CPTR   NextPC = 0;
  UWORD *PCP    = NULL;
  UWORD  Saved  = 0;
  
  NextPC = m68k_getpc() + 2;
  
  PCP = regs.pc_p;
  Saved = *PCP;
  *PCP = ATrap;
  Exception(0x0A);
  do
    { MC68000_step(); }
  while (NextPC != m68k_getpc());
  *PCP = Saved;
  m68k_setpc(NextPC - 2);
}

void Run_ATrap (void)
{
  CPTR NextPC = 0;
  NextPC = m68k_getpc() + 2;
  Exception(0x0A);
  do
    { MC68000_step(); }
  while (NextPC != m68k_getpc());
}
