// vMac 0.1 Source
// By Philip Cummins (PC)
// Copyright PC 1997
   
// PC - SCC Memory Handlers

#define kSCCRdBase 0x9FFFF8
#define kSCCWrBase 0xBFFFF9

#define kSCCRd_Block_Base 0x800000
#define kSCCRd_Block_Top  0xA00000
#define kSCCWr_Block_Base 0xA00000
#define kSCCWr_Block_Top  0xC00000

#define kSCC_Size 0x08

typedef struct
{
  UBYTE RR[16];
  UBYTE WR[16];
} Channel_Ty;

typedef struct
{
  Channel_Ty A;
  Channel_Ty B;
} SCC_Ty;

int   SCC_Init (void);
void  SCC_Reset (void);

UBYTE SCC_GetB (CPTR addr);
UWORD SCC_GetW (CPTR addr);
ULONG SCC_GetL (CPTR addr);

void  SCC_PutB (CPTR addr, UBYTE in);
void  SCC_PutW (CPTR addr, UWORD in);
void  SCC_PutL (CPTR addr, ULONG in);

UBYTE SCC_GetAReg (void);
void  SCC_PutAReg (UBYTE in);
UBYTE SCC_GetBReg (void);
void  SCC_PutBReg (UBYTE in);

// VIA Interface Headers

UBYTE VIA_GORA7 (void);
void  VIA_PORA7 (UBYTE Data);

//IRIX CC needs a little new-line at the end of include files.

