 /* 
  * UAE - The Un*x Amiga Emulator
  * 
  * User configuration options
  *
  * Copyright 1995, 1996 Bernd Schmidt
  */

/* vMac Configurations */

// FIXEND fixes endian problems in vMac for little-endian machines.
// If you have a little-endian machine (ix86, Alpha, etc.) you MUST define
// this, otherwise comment it out.

#define FIXEND 1

// _ScanLine makes use of a new Screen_Draw function that only updates the
// screen in lines. Currently its somewhat slow and not very smart. I would
// suggest using MITSHM (see below) to give it reasonable speed.
// NOTE: _ScanLine speeds vMac up quite a bit on MkLinux machines.

//#define _ScanLine 1

#ifdef _ScanLine

#define SCAN 1

// MITSHM makes use of the MIT-SHM shared memory extensions to the X server.
// If you X server supports these I would suggest using them and define the
// following. (NOTE: only works on _ScanLine.)

#define MITSHM 1

#endif

// These are debug flags, you really don't need them.

#undef _Debug

#ifdef _Debug
//#define _IWM_Debug
//#define _Keyboard_Debug
//#define _Memory_Debug
//#define _Mouse_Debug
//#define _Native_Debug
//#define _RAM_Debug
//#define _ROM_Debug
//#define _RTC_Debug
//#define _SCC_Debug
//#define _Screen_Debug
//#define _SCSI_Debug
//#define _Sony_Debug
//#define _Sound_Debug
//#define _VIA_Debug
//#define _VIA_Interface_Debug
//#define _VIA_Interrupt_Debug
#endif

#define _Sony_Enabled
#define _Mouse_Enabled
#define _Keyboard_Enabled

//IRIX CC needs a little new-line at the end of include files.

