/* vMac 0.1 Source
   By Philip Cummins (PC)
   Copyright PC 1997 */
   
#include "sysconfig.h"
#include "sysdeps.h"

#include "config.h"
#include "options.h"
#include "memory.h"
#include "custom.h"
#include "newcpu.h"
#include "debug.h"
#include "prefs.h"
#include "Sony.h"
#include "Screen.h"

void Quit_vMac(void);

void Quit_vMac()
{
	PrefsSave("vMac.cfg");
	fprintf(stderr, "vMac quit successful, vMac.cfg saved.\n");

	exit(0);
}

void main(int argc, char **argv)
{

	vMac_SignalHandler();

	PrefsLoad("vMac.cfg");

	Screen_Init(argc, argv);

	init_m68k();

	if (custominit() == 0)
	{
		MC68000_reset();
		
		MC68000_run();
	}
	else
	{
		printf("Sorry, vMac encountered errors and cannot continue.\n");
	}
	
	PrefsSave("vMac.cfg");
}
